Bug 1284977 - Temporary directory should default to /var/tmp not /tmp as it is tmpfs
Temporary directory should default to /var/tmp not /tmp as it is tmpfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfburn (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 10:24 EST by Richard Shaw
Modified: 2016-04-25 16:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 16:54:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 12330 None None None Never

  None (edit)
Description Richard Shaw 2015-11-24 10:24:42 EST
Description of problem:
xfburn defaults to /tmp for temporary files (presumably including large images). On Fedora /tmp defaults to tmpfs @ 4GB which could be exceeded by large images.
Comment 1 Jan Kurik 2016-02-24 09:01:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Richard Shaw 2016-03-24 15:03:59 EDT
I have created a patch to change the default /var/tmp and can commit if there's no objection. I have built the package a mock and done basic testing (correctly defaults to /var/tmp) but have not attempted to write an image > 4GB.
Comment 3 Richard Shaw 2016-04-25 16:54:35 EDT
I have check in the patch and built for rawhide. It would be nice to have this propagated to the other releases.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13800008

Note You need to log in before you can comment on or make changes to this bug.